/*
 *
 * Author Jean-Pierre PARISY <jpparisy@free.fr>
 *
 * Copyright (C) 2013
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef __675_TUTO5_H
#define __675_TUTO5_H

#include <htc.h>
#include <pic.h>
#include <pic12f675.h>
#include <stdint.h>

extern void count_sequence (uint8_t start, uint8_t stop);
extern void decode_position (void);
extern void generate_frame (void);
extern void init (uint8_t val);
extern uint8_t pulse_received (void);

#endif